/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"long_char.h"


CODE_METHOD * std_cm;

void
init_longchar()
{
	insert_code_list(&ascii_cm);
	insert_code_list(&sjis_cm);
	insert_code_list(&jis_cm);
	insert_code_list(&euc_cm);
	insert_code_list(&int_cm);
	insert_code_list(&utf8_cm);
	insert_code_list(&utf16_cm);
	insert_code_list(&ucs4_cm);
	insert_code_abb("SHIFT-JIS",LCC_Shift_JIS,&sjis_cm);
	std_cm = get_default_cm();
}
